variable "name" {
  description = "A name for the Kubernetes cluster."
}

variable "k8s_version" {
  description = "The slug identifier for the version of Kubernetes used for the cluster."
  default     = "1.14.4-do.0"
}

variable "region" {
  description = "The slug identifier for the region where the Kubernetes cluster will be created."
  default     = "nyc1"
}

variable "tags" {
  description = "A list of tag names to be applied to the Kubernetes cluster."
  type        = list(string)
  default     = []
}

variable "node_count" {
  description = "The number of Droplet instances in the node pool."
  default     = 3
}

variable "node_size" {
  description = "The slug identifier for the type of Droplet to be used as workers in the node pool."
  default     = "s-2vcpu-2gb"
}

variable "node_tags" {
  description = "A list of tag names to be applied to the Kubernetes cluster nodes."
  type        = list(string)
  default     = []
}

variable "admin_user_name" {
  description = "The service account name in kube-system used for administrative purposes."
  default     = "admin"
}
